Package com.google.gwt.resources.gss

## Class ResourceUrlFunction

- java.lang.Object
- - com.google.gwt.resources.gss.ResourceUrlFunction

- All Implemented Interfaces:
    `com.google.gwt.thirdparty.common.css.compiler.ast.GssFunction`

      public class ResourceUrlFunction
      extends java.lang.Object
      implements com.google.gwt.thirdparty.common.css.compiler.ast.GssFunction

  Gss function that create the needed nodes in order to correctly get the url of a resource.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `(package private) static interface` | `ResourceUrlFunction.MethodByPathHelper` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResourceUrlFunction​(ResourceContext context)` |
    `ResourceUrlFunction​(ResourceContext context, ResourceUrlFunction.MethodByPathHelper methodByPathHelper)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<com.google.gwt.thirdparty.common.css.compiler.ast.CssValueNode>` | `getCallResultNodes​(java.util.List<com.google.gwt.thirdparty.common.css.compiler.ast.CssValueNode> cssValueNodes, com.google.gwt.thirdparty.common.css.compiler.ast.ErrorManager errorManager)` |
    `java.lang.String` | `getCallResultString​(java.util.List<java.lang.String> strings)` |
    `static java.lang.String` | `getName()` |
    `java.lang.Integer` | `getNumExpectedArguments()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceUrlFunction

          public ResourceUrlFunction​(ResourceContext context)

    - #### ResourceUrlFunction

          ResourceUrlFunction​(ResourceContext context,
                              ResourceUrlFunction.MethodByPathHelper methodByPathHelper)

  - ### Method Detail

    - #### getName

          public static java.lang.String getName()

    - #### getNumExpectedArguments

          public java.lang.Integer getNumExpectedArguments()

      Specified by:
        `getNumExpectedArguments` in interface `com.google.gwt.thirdparty.common.css.compiler.ast.GssFunction`

    - #### getCallResultNodes

          public java.util.List<com.google.gwt.thirdparty.common.css.compiler.ast.CssValueNode> getCallResultNodes​(java.util.List<com.google.gwt.thirdparty.common.css.compiler.ast.CssValueNode> cssValueNodes,
                                                                                                                   com.google.gwt.thirdparty.common.css.compiler.ast.ErrorManager errorManager)
                                                                                                            throws com.google.gwt.thirdparty.common.css.compiler.ast.GssFunctionException

      Specified by:
        `getCallResultNodes` in interface `com.google.gwt.thirdparty.common.css.compiler.ast.GssFunction`
      Throws:
        `com.google.gwt.thirdparty.common.css.compiler.ast.GssFunctionException`

    - #### getCallResultString

          public java.lang.String getCallResultString​(java.util.List<java.lang.String> strings)
                                               throws com.google.gwt.thirdparty.common.css.compiler.ast.GssFunctionException

      Specified by:
        `getCallResultString` in interface `com.google.gwt.thirdparty.common.css.compiler.ast.GssFunction`
      Throws:
        `com.google.gwt.thirdparty.common.css.compiler.ast.GssFunctionException`